Index: resources/views/dashboard/folders/files.blade.php
===================================================================
--- resources/views/dashboard/folders/files.blade.php	(revision ff5b46efd604ee4d506bee944e41a3fc54745cfa)
+++ resources/views/dashboard/folders/files.blade.php	(revision e78295cd8068c5cafb2b4988541373f115ca6443)
@@ -8,11 +8,4 @@
         <div class="col-md-3 app-sidebar">
             <div class="card">
-                <div class="card-body">
-                    @if(auth()->user()->hasPermission('manage_all_folders'))
-                    <a class="btn btn-secondary btn-block text-white" href="javascript:void(0)" data-target="#createModal{{$folder->id}}" data-toggle="modal">
-                        Edit folder
-                    </a>
-                        @endif
-                </div>
                 <div class="app-sidebar-menu">
                     <div class="list-group list-group-flush">
@@ -37,16 +30,4 @@
                 <div class="action-left">
                     <ul class="list-inline">
-                        @if(auth()->user()->hasPermission('manage_all_folders'))
-                        <li class="list-inline-item mb-0">
-                            <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">
-                                Actions
-                            </a>
-                            <div class="dropdown-menu">
-                                <a class="dropdown-item" href="javascript:void(0)" data-toggle="modal" data-target="#editModal_{{$folder->id}}">
-                                    Edit folder
-                                </a>
-                            </div>
-                        </li>
-                        @endif
                         <li class="list-inline-item mb-0">
                             @if(auth()->user()->hasPermission('download_data'))
@@ -108,9 +89,4 @@
                                     </a>
                                     <div class="dropdown-menu dropdown-menu-right">
-                                        @if(auth()->user()->hasPermission('manage_all_files'))
-                                        <a href="javascript:void(0)" class="dropdown-item" data-toggle="modal" data-target="#editFileModal_{{$file->id}}">
-                                            Rename
-                                        </a>
-                                        @endif
                                         @if(auth()->user()->hasPermission('download_data'))
                                         <a href="{{ route("dashboard.files.downloadFile", $file->id) }}" class="dropdown-item">
@@ -158,180 +134,8 @@
                     </div>
 
-                    <div class="modal fade" id="editFileModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
-                        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
-                            <div class="modal-content">
-                                <div class="modal-header">
-                                    <h5 class="modal-title" id="exampleModalCenterTitle">Edit file name</h5>
-                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
-                                        <i class="ti-close"></i>
-                                    </button>
-                                </div>
-                                <div class="modal-body">
-                                    <form action="{{ route("dashboard.files.renameFile", ["id" =>$file->id]) }}" method="post" accept-charset="utf-8">
-                                        @method("patch")
-                                        @csrf
-                                        <div class="row">
-                                            <div class="col-md-12">
-                                                <div class="form-group">
-                                                    <label class="form-label">Current name: {{$file->name}}</label>
-                                                    <input type="text" name="name" value="{{ explode('.', $file->name)[0] }}" maxlength="255" title="Don't include: '\/.|'" pattern="^[^.\/|]+$" class="form-control" required>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <br/>
-                                        <div class="modal-footer">
-                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
-                                            </button>
-                                            <button type="submit" class="btn btn-primary">Save changes</button>
-                                        </div>
-                                    </form>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
                 @empty
                     <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">No items found</div>
                 @endforelse
 
-                    <div class="modal fade" id="editModal_{{$folder->id}}" tabindex="-1" role="dialog" aria-hidden="true">
-                        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
-                            <div class="modal-content">
-                                <div class="modal-header">
-                                    <h5 class="modal-title" id="exampleModalCenterTitle">Edit folder</h5>
-                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
-                                        <i class="ti-close"></i>
-                                    </button>
-                                </div>
-                                <div class="modal-body">
-                                    <form action="{{ route("dashboard.folders.edit", ["id" => $folder->id]) }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
-                                        @method("patch")
-                                        @csrf
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Department</label>
-                                                    <select class="form-control edit_folder_deparment" name="department" required>
-                                                        @foreach ($departments as $department)
-                                                            <option value="{{ $department->id }}" data-dept-code="{{ $department->code }}" {{ old("department", $folder->department->id) == $department->id ? "selected" : "" }}>{{ $department->name }}</option>
-                                                        @endforeach
-                                                    </select>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Archive ID</label>
-                                                    <input type="text" name="arch_id" value="{{ old("arch_id", $folder->arch_id) }}" class="form-control" placeholder="Archive ID" required>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Name</label>
-                                                    <input type="text" name="name" value="{{ old("name", $folder->name) }}" class="form-control" placeholder="Name" minlength="2" maxlength="30" required>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Note</label>
-                                                    <textarea class="form-control" name="note" maxlength="80">
-                                                        {{ old("note", $folder->note) }}
-                                                    </textarea>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <input type="file" class="form-control" id="file-item" name="file_item[]" accept="{{ $fileTypes }}" multiple>
-                                            </div>
-                                        </div>
-                                        <br/>
-                                        <div class="modal-footer">
-                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
-                                            </button>
-                                            <button type="submit" class="btn btn-primary">Save changes</button>
-                                        </div>
-                                    </form>
-                                </div>
-
-                            </div>
-                        </div>
-                    </div>
-
-                    <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-hidden="true">
-                        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
-                            <div class="modal-content">
-                                <div class="modal-header">
-                                    <h5 class="modal-title" id="exampleModalCenterTitle">Create folder</h5>
-                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
-                                        <i class="ti-close"></i>
-                                    </button>
-                                </div>
-                                <div class="modal-body">
-                                    <form action="{{ route("dashboard.folders.store") }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
-                                        @csrf
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label for="exampleFormControlSelect1">Department</label>
-                                                    @if($departments->count())
-                                                        <select class="form-control new_folder_deparment" name="department" required>
-                                                            @foreach ($departments as $department)
-                                                                <option value="{{ $department->id }}" data-dept-code="{{ $department->code }}" {{ (old("department") == $department->id ? "selected" : "") }}>{{ $department->name }}</option>
-                                                            @endforeach
-                                                            @else
-                                                                <p>You haven't created any departments yet. <a class="text-primary" href="{{ route("dashboard.departments.create") }}">Create now.</a></p>
-                                                            @endif
-                                                        </select>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Archive ID</label>
-                                                    <input type="text" name="arch_id" value="" class="form-control" placeholder="Archive ID" required>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Name</label>
-                                                    <input type="text" name="name" value="{{ old("name") }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Note</label>
-                                                    <textarea class="form-control" name="note" maxlength="80"> {{old("note")}} </textarea>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <input type="file" class="form-control" id="file-item" name="file_item[]" accept="{{ $fileTypes }}" multiple>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <div class="form-check">
-                                                        <input class="form-check-input" type="checkbox" value="{{old("is_important")}}" id="is_important" name="is_important">
-                                                        <label class="form-check-label">
-                                                            Mark as important
-                                                        </label>
-                                                    </div>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <br/>
-                                        <div class="modal-footer">
-                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
-                                            </button>
-                                            <button type="submit" class="btn btn-primary">Save changes</button>
-                                        </div>
-                                    </form>
-                                </div>
-
-                            </div>
-                        </div>
-                    </div>
             </div>
 
